# -*- coding: latin-1 -*-

##############################################
# Exemples d'utilisation du SDK Python Zibase
##############################################
from Zapi import ZiBase

zibase = ZiBase.ZiBase('192.168.0.20') # Mettre l'adresse IP de votre zibase

# Envoi de la commande H3 ON en X10
zibase.sendCommand('H3', ZiBase.ZbAction.ON, ZiBase.ZbProtocol.X10)

# Envoi de la commande F12 OFF en Chacon
zibase.sendCommand('F12', ZiBase.ZbAction.OFF, ZiBase.ZbProtocol.CHACON)

# Rcupre l'tat de l'actionneur H3
print 'Etat de H3 : ' + str(zibase.getState('H3'))

# Met  jour la variable V11
zibase.setVariable(11, 6)

# Rcupre la valeur de la variable V11
print 'Etat de V11 : ' + str(zibase.getVariable(11))

# Modification d'un calendrier dynamique
cal = ZiBase.ZbCalendar()
cal.day['mardi'] = 1
cal.hour[5] = 1
zibase.setCalendar(8, cal)

# Lecture d'un calendrier dynamique
cal = zibase.getCalendar(8)
print 'calendrier: mardi=' + str(cal.day['mardi'])
print 'calendrier: 5h00=' + str(cal.hour[5])

# Rcupre les valeurs d'une sonde
info = zibase.getSensorInfo("OS439191042")
print 'Heure du relev : ' + str(info[0])
print str(info[1]/10) + 'C'
print str(info[2]) + '% humidit'

# Excution du scnario 3 (le numro du scenario est indiqu dans le suivi d'activit)
zibase.runScenario(3)

# Excution d'un script: on enchaine les scenarii 3 puis 4 
zibase.execScript('lm 3.lm 4')

